Bug 996864 - "Unexpected Netty Version was expecting..." warnings during start
"Unexpected Netty Version was expecting..." warnings during start
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Build, HornetQ (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ER6
: EAP 6.1.1
Assigned To: Clebert Suconic
Miroslav Novak
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 04:02 EDT by Miroslav Novak
Modified: 2013-09-16 16:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 16:26:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Novak 2013-08-14 04:02:54 EDT
Description of problem:
When EAP 6.1.1.ER5 is started in "full" or "full-ha" profile then following warning is thrown:
...
09:50:18,451 WARN  [org.hornetq.core.server] (MSC service thread 1-7) HQ222073: Unexpected Netty Version was expecting 3.6.6.Final using 3.6.6.Final-redhat-1-fd3c6b7 Version.ID
...

Regression against EAP 6.1.1.ER4.

This is same issue as was bz#923646 and bz#986195.
Comment 1 Carlo de Wolf 2013-08-14 08:48:57 EDT
See also https://bugzilla.redhat.com/show_bug.cgi?id=923646#c8
Comment 2 Clebert Suconic 2013-08-14 09:15:38 EDT
I have recently changed the code to stop using the hash code from Netty at the version verification.

You have now to remove the hash, just keep the pom as original from hornetq'pom:


     <!-- don't forget to update netty.version.string manually after updating this. look at the explanation on netty.version.string -->
      <netty.version>3.6.6.Final</netty.version>

       <!-- please keep netty.version.string literal,
          RedHat production team will patch our builds on netty.version..
          Our verification for the right Netty version only needs a Netty.getVersion().contains("our-string");
          if we make this a variable we will have to rebuild hornetq for any minor rebuild from the production team
          and other issues along it.
         -->
      <netty.version.string>3.6.6.Final</netty.version.string>



if you have to patch it and use the suffix -redhat on the version, keep the netty.version.string as 3.6.6.Final as we should accept any 3.6.6.Final version.



This is just to validate our dependency with Netty, during devel we determined that netty is really important as a dependency for us (it's only one actually), and we were requiring the exact same version during runtime.
Comment 3 Clebert Suconic 2013-08-14 09:16:47 EDT
@PaulGier: right: I've made this change to avoid such warning in the future.


Next step would be to remove this warning check altogether if this still a recurring issue after this.
Comment 4 Paul Gier 2013-08-14 12:10:46 EDT
PR from clebert
https://github.com/jbossas/jboss-eap/pull/293
Comment 5 Miroslav Novak 2013-08-16 04:09:09 EDT
Thanks guys! Fixed in EAP 6.1.1.ER6. Verified.

Note You need to log in before you can comment on or make changes to this bug.